function setWeather () {
  var url="http://rss.rssad.jp/rss/tenki/forecast/city_24.xml";
	var httpRequest = new XMLHttpRequest();
  
	httpRequest.open("GET", url);
	httpRequest.overrideMimeType("text/xml");
  httpRequest.setRequestHeader('Cache-Control', 'no-cache');
	httpRequest.send(null);
	httpRequest.onload = function() {xml_responded(httpRequest);}
}
function findChild (element, nodeName){
	var child;
	
	for (child = element.firstChild; child != null; child = child.nextSibling){
		if (child.nodeName == nodeName) return child;
	}
	
	return null;
}


function xml_responded (request){
	if (request.responseXML)
	{
    var rss = findChild(request.responseXML, "rss");
    var channel = findChild(rss, "channel");
    var city = findChild(channel, "title").textContent;
    city = city.substring(0, city.indexOf("("));
    var item = findChild(channel, "item");
    var forecast = findChild(item, "title").textContent;
    date = forecast.substring(0, forecast.indexOf(")")+1);
    var image = findChild(item, "image");
    var title = findChild(image, "title").textContent;
    var url = findChild(image, "url").textContent;
    var max = forecast.substring(forecast.lastIndexOf(" ")+1,forecast.lastIndexOf("/"));
    max = max.substring(0,max.lastIndexOf("℃"));
    var min = forecast.substring(forecast.lastIndexOf("/")+1);
    min = min.substring(0,min.lastIndexOf("℃"));
    
		document.getElementById("city").innerHTML = city;
		document.getElementById("forecast").innerHTML = title;
		document.getElementById("temp").innerHTML = max + "° / " + min + "°";
		document.getElementById("image").src = url;
		
	}
	else
	{
//		updateWeather({error:true});
	}
}

function reload() {
    location.reload();
}



function time_update() {
    setTimeout("time_update()",1000);
    setTime();
    setDate();
    setWeather();
}

function setTime() {
    date = new Date().toString();
    document.getElementById("h1").innerHTML = date.substr(16,1);
    document.getElementById("h2").innerHTML = date.substr(17,1);
    document.getElementById("m1").innerHTML = date.substr(19,1);
    document.getElementById("m2").innerHTML = date.substr(20,1);
}
arr_day = new Array("日曜日","月曜日","火曜日","水曜日","木曜日","金曜日","土曜日");
function setDate() {
    get_date = new Date();
    cr_year = get_date.getYear()-88;
    cr_month = get_date.getMonth()+1;
    cr_date = get_date.getDate();
    cr_day = get_date.getDay();
    
    document.getElementById("date").innerHTML = "平成"+cr_year+"年 "+cr_month+"月 "+cr_date+"日<br>("+arr_day[cr_day]+")";
}
